/************************************************************************* Defaults */
body {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	overflow-x: hidden;
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
}
body.locked {
	overflow: hidden;
}
h1, h2, h3, h4, h5, h6, p {
	margin-top: 0;
}
a {
	color: inherit;
}



.stroke-me svg path {
	stroke: currentColor;
}

strong {
	font-weight: 600;	
}

/* ------------------
- Text Editor
-------------------	*/

.elementor-widget-text-editor p:last-child {
	margin-bottom: 0;
}

/* ------------------
- Button
-------------------	*/

.elementor-button {
	position: relative;
	overflow: hidden;
}
.elementor-button:before {
	content: '';
    background-color: #000;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    z-index: 0;
    transition: 0.5s;
}
.elementor-button .elementor-button-content-wrapper {
	position: relative;
	z-index: 1;
}  
.elementor-button:hover:before {
	width: 100%; 
}   
.invert .elementor-button:before {
	background-color: #ffffff;
}
.no-hover .elementor-button:hover:before {
	width: 0 !important; 
}  
.arrowed .elementor-button-text {
	margin-right: 0;
}
.arrowed .elementor-button-icon svg {
	width: 20px;
}

/* ------------------
- Header
-------------------	*/

header {
	position: fixed;
	top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
}
header .bottom {
	transition: 0.5s;
}
header .bottom .elementor-button .elementor-button-icon {
	display: none;
}
header .logo-text svg path {
	--i: 0;
	position: relative;
	transition: 0.5s;
	animation-delay: calc(var(--i) * 3s);
	opacity: 1;
	transform: translateX(0);
	transition-delay: calc(var(--i) * 0.08s);
}
body.home header:not(.scrolled) .bottom > .elementor-element,
body header:not(.scrolled) .bottom.transparent_white > .elementor-element {
	background-color: transparent !important;
    padding-top: 0;
    padding-bottom: 0;
    filter: invert(1);
}
body header:not(.scrolled) .bottom.transparent_black > .elementor-element {
	background-color: transparent !important;
    padding-top: 0;
    padding-bottom: 0;
}
header.scrolled .top {
	transform: translateY(-100%);
}
header.scrolled .bottom {
	position: fixed;
	top: 0;
}
header.scrolled .logo-icon svg {
	fill: #000 !important;
}
header.scrolled .logo-text svg path {
	transform: translateX(calc(-10px * var(--i)));
	opacity: 0;
}
header.scrolled .top .mainmenu_holder {
	display: none;
}
header.scrolled #hamburger {
	display: block;
}
header.scrolled #hamburger .lines span {
    background-color: #000;
}

/* ------------------
- Hamburger
-------------------	*/

#hamburger .elementor-widget-container {
	position: relative;
    display: flex;
    align-items: center;
    gap: 13px;
}
#hamburger .elementor-widget-container .text {
	font-family: var(--e-global-typography-primary-font-family), Sans-serif;
	font-size: 14px;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 0.7px;	
}
#hamburger .lines {
	width: 18px;
    height: 13px;
    position: relative;
}
#hamburger .lines span {
	height: 2px;
    background-color: #000;
    position: absolute; 
	transition: 0.5s;
	border-radius: 5px;
}
#hamburger .lines span:nth-child(1) {
	top: 0;
    width: 18px;
	left: 0;
}
#hamburger .lines span:nth-child(2) {
	top: 6px;
    width: 18px;
	right: 0;
}
#hamburger .lines span:nth-child(3) {
	top: 12px;
    width: 14px;
	right: 0;
}
#hamburger:hover .lines span:nth-child(1) {
	width: 14px;
}
#hamburger:hover .lines span:nth-child(3) {
	width: 18px;
}

/* ------------------
- Main Menu
-------------------	*/

.mainmenu {
	list-style: none;
	display: flex;
    flex-direction: column;
    gap: 15px;
	margin: 0;
	padding: 0;
	font-weight: 500;
	letter-spacing: 0.16px;
	font-family: var(--e-global-typography-secondary-font-family), Sans-serif;
    font-size: var(--e-global-typography-secondary-font-size);
    font-weight: var(--e-global-typography-secondary-font-weight);
    line-height: var(--e-global-typography-secondary-line-height);
    letter-spacing: var(--e-global-typography-secondary-letter-spacing);
}
.mainmenu .menu-image {
	position: absolute;
    top: 0;
    right: 0;
    width: 426px;
    aspect-ratio: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.8s;
}
.mainmenu .menu-image svg {
	width: 135px;
    height: 126px;
}
.mainmenu .white-icon svg path {
	fill: #E3DDD4;
}

.mainmenu > li:hover .menu-image {
    opacity: 1;
    visibility: visible;
}


/* ------------------
- Spinner
-------------------	*/

.spinner .elementor-widget-container:before,
.spinner .elementor-widget-container:after {
	content: '';
    background-color: var(--e-global-color-6f453a5);
    width: 20px;
    height: 10px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: 0.5s;
}
.spinner .elementor-widget-container:before {
    left: 0;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}
.spinner .elementor-widget-container:after {
    right: 0;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
}
.spinner .elementor-icon i,
.spinner .elementor-icon svg,
.spinner-alt .elementor-icon i,
.spinner-alt .elementor-icon svg {
	transform: rotate(0);
	transition: 0.5s;
}
.spinner:hover .elementor-widget-container:before,
.spinner:hover .elementor-widget-container:after {
	width: 50px;
}
.spinner:hover .elementor-icon i,
.spinner:hover .elementor-icon svg {
	transform: rotate(180deg);
}
.spinner-alt .elementor-widget-container {
	-webkit-mask-size: 150% 60px !important;
	transition: 0.5s !important;
}
.spinner .elementor-icon-box-wrapper,
.spinner-alt .elementor-icon-box-wrapper {
	justify-content: center;
}
.spinner .elementor-icon-box-content,
.spinner-alt .elementor-icon-box-wrapper {
    flex-grow: unset;
    width: auto;
}
.wingardium:hover .spinner-alt .elementor-widget-container {
	-webkit-mask-size: 130% 60px !important;
}
.wingardium:hover .spinner-alt .elementor-icon i,
.wingardium:hover .spinner-alt .elementor-icon svg {
	transform: rotate(180deg);
}


/* ------------------
- Announcements
-------------------	*/

.announcements {
	color: var( --e-global-color-96f2ab7 );
}
.announcements p {
	margin: 0;
	gap: 6px;
}
.announcements p:before {
	content: '';
	width: 10px;
	aspect-ratio: 1;
    border-radius: 30px;
}
.announcements a {
	text-decoration: underline;
}
.announcements .jet-listing-dynamic-repeater__item:nth-child(odd) p:before {
	background-color: var(--e-global-color-secondary);
}
.announcements .jet-listing-dynamic-repeater__item:nth-child(odd) a {
	color: var(--e-global-color-secondary);
}
.announcements .jet-listing-dynamic-repeater__item:nth-child(even) p:before {
	background-color: var(--e-global-color-2849d6d);
}
.announcements .jet-listing-dynamic-repeater__item:nth-child(even) a {
	color: var(--e-global-color-2849d6d);
}

/* ------------------
- Line Mask
-------------------	*/

.line-mask {
	overflow: hidden;
	border-radius: 6px;
}
.line-mask:before {
    content: '';
    -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 80%, rgba(0, 0, 0, 0) 80%, rgba(0, 0, 0, 0) 85%, rgba(0, 0, 0, 1) 85%);
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 80%, rgba(0, 0, 0, 0) 80%, rgba(0, 0, 0, 0) 85%, rgba(0, 0, 0, 1) 85%);
    mask-repeat: no-repeat;
    mask-size: 100% 100%;
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    top: 0;
}
.line-mask .elementor-widget-container {
	position: relative;
	z-index: 1;
} 
.line-mask:after {
	content: '';
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: calc(100% - 50px);
    z-index: 0;
    transition: width 0.5s ease;
}
.line-mask.bg_sky:before,
.line-mask.bg_sky:after {
	background-color: var( --e-global-color-2849d6d );
}
.line-mask.bg_clay:before,
.line-mask.bg_clay:after {
	background-color: var(--e-global-color-secondary);
}
.line-mask svg {
	transform: rotate(0);
	transition: 0.5s;
}

/* Animate */
@media screen and (min-width: 769px) {
	
	.line-mask.animate:hover:after {
	    width: 50%;
	}
	.line-mask.bg_sky.animate:hover:before,
	.line-mask.bg_sky:hover:after {
		background-color: var( --e-global-color-29f8299 );
	}
	.line-mask.bg_clay.animate:hover:before,
	.line-mask.bg_clay:hover:after {
		background-color: var( --e-global-color-ddae9fd );
	}
	.line-mask:hover svg {
		transform: rotate(180deg);
	}
	
}

/* Double */
.line-mask.double {
	border-radius: 3px;
}
.line-mask.double:before {
    -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 45%, rgba(0, 0, 0, 0) 45%, rgba(0, 0, 0, 0) 55%, rgba(0, 0, 0, 1) 55%);
    mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 45%, rgba(0, 0, 0, 0) 45%, rgba(0, 0, 0, 0) 55%, rgba(0, 0, 0, 1) 55%);
}
.line-mask.double:after {
    right: 50px;
    width: calc(100% - 100px);
}
.line-mask.double .elementor-icon-box-wrapper {
	justify-content: center;
}
.line-mask.double .elementor-icon-box-content {
    flex-grow: unset;
    width: unset;
}

/* ------------------
- Event Wrapper
-------------------	*/

.event-wrapper img {
	transform: scale(1);
	transition: 0.5s;
}
.event-wrapper .elementor-button {
	overflow: hidden;
    position: relative;	
}
.event-wrapper .elementor-button:before {
    background-color: #ffffff;
}
.event-wrapper:hover img {
	transform: scale(1.1);
}
.event-wrapper:hover .elementor-button {
	color: #000 !important;
}
.event-wrapper:hover .elementor-button:before {
	width: 100%;
}

/* ------------------
- Latest News
-------------------	*/

.latest-news-first {
	width: 60%;
}
.latest-news-rest {
	width: 40%;
}
.news-latest-news .jet-listing-grid__item:first-child .image-column {
	width: 65%;
}
.news-latest-news .jet-listing-grid__item:first-child .image-column .elementor-widget-container {
	height: 495px;
}
.news-latest-news .jet-listing-grid__item:first-child img {
	display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top center;
}
.news-latest-news .jet-listing-grid__item:first-child .content-column {
	width: 35%;
}
.news-latest-news .jet-listing-grid__item:first-child .elementor-widget-theme-post-excerpt {
	display: block;
}
.news-latest-news .jet-listing-grid__item .jet-listing-dynamic-meta__date {
	background-color: #E3DDD4 !important;
}

/* ------------------
- Autoflow
-------------------	*/

body:not(.elementor-editor-active) .autoflow-swiper {
	overflow: hidden;
}
body:not(.elementor-editor-active) .autoflow-swiper .slick-list,
body:not(.elementor-editor-active) .autoflow-swiper .swiper {
	overflow: visible;
}

/* ------------------
- Filters
-------------------	*/

.elementor-widget-jet-smart-filters-radio,
.elementor-widget-jet-smart-filters-checkboxes {
	position: unset !important;
}
.jet-filter-items-dropdown {
    position: unset !important;
}
.jet-filter-items-dropdown__body {
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.10);
}
.jet-radio-list-wrapper fieldset,
.jet-checkboxes-list-wrapper {
    columns: 3;
}
.jet-radio-list__row,
.jet-checklist-list__row {
    width: 100%;
}
.jet-sorting-select {
	outline: none;
    box-shadow: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='6' viewBox='0 0 11 6' fill='none'%3E%3Cpath d='M9.5 0.750001L5.125 5.125L0.75 0.75' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 11px auto;
}
.jet-filter-items-dropdown__label:after {
    border-width: 0 !important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='6' viewBox='0 0 11 6' fill='none'%3E%3Cpath d='M9.5 0.750001L5.125 5.125L0.75 0.75' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 11px auto;
    width: 12px !important;
    height: 12px !important;
}


/* ------------------
- Members
-------------------	*/

.member-content h2 {
	font-family: var(--e-global-typography-f69a3da-font-family), Sans-serif;
    font-size: var(--e-global-typography-f69a3da-font-size);
    font-weight: var(--e-global-typography-f69a3da-font-weight);
    line-height: var(--e-global-typography-f69a3da-line-height);
}

.elementor-mark-required .elementor-field-label:after {
    color: #6182C1;
}
.elementor-field-group .elementor-field-textual:focus {
    box-shadow: none;
    border: 2px solid #6182C1 !important;
}

.membership-card {
	border-radius: 6px;
    border: 1px solid #6182C1;
    background: #F2F5FA;
    display: flex;
    align-items: center;
    padding: 25px 40px;
    justify-content: space-between;
    margin: -10px 0 16px 0;
}
.membership-card h3 {
	font-family: var(--e-global-typography-secondary-font-family), Sans-serif;
	font-weight: 600;
	font-size: 16px;
	letter-spacing: 0.16px;
	margin: 0;
	color: #000;
}
.membership-card p {
	font-family: var(--e-global-typography-secondary-font-family), Sans-serif;
	font-weight: 400;
	font-size: 13px;
	letter-spacing: 0.13px;
	margin: 0;
	color: rgba(0, 0, 0, 0.70);
}
.membership-card p.price {
	font-family: var(--e-global-typography-secondary-font-family), Sans-serif;
	font-weight: 500;
	font-size: 20px;
	color: #6182C1;
}
.elementor-field-group-payment {
	display: none;
}
.elementor-field-group-acceptance {
	margin: 25px 0 45px !important;
}
.elementor-field-group-acceptance input[type="checkbox"] {
	position: absolute;
	opacity: 0;
	cursor: pointer;
}
.elementor-field-group-acceptance label {
    font-weight: 400 !important;
    font-size: 13px !important;
    letter-spacing: 0.13px;
    color: rgba(0, 0, 0, 0.70) !important;
    padding-left: 24px;
    position: relative;
}
.elementor-field-group-acceptance label::before {
	content: "";
    position: absolute;
    left: 0;
    top: 1px;
    width: 13px;
    height: 13px;
    border: 1px solid #6182C1;
    background: #fff;
    transition: all 0.2s ease;
}
.elementor-field-group-acceptance input:checked + label::before {
	background-color: #6182C1;
    border-color: #6182C1;
}
.elementor-field-group-acceptance label::after {
	content: "";
    position: absolute;
    left: 5px;
    top: 3px;
    width: 4px;
    height: 8px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
    transition: opacity 0.2s ease;
}
.elementor-field-group-acceptance input:checked + label::after {
	opacity: 1;
}
.elementor-field-group-acceptance a {
	text-decoration: underline;
}
.StripeElement {
	padding-top: 12px !important;
    padding-bottom: 12px;
}

/* ------------------
- Members
-------------------	*/

.status.featured {
	background: #D9C200;
}
.status.premier {
	background: #E2D461;
}
.status.major {
	background: #F3EA9B;
}

#live-search {
	background-image: url("data:image/svg+xml,%3Csvg width='17' height='17' viewBox='0 0 17 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7.4375 12.75C10.3715 12.75 12.75 10.3715 12.75 7.4375C12.75 4.50349 10.3715 2.125 7.4375 2.125C4.50349 2.125 2.125 4.50349 2.125 7.4375C2.125 10.3715 4.50349 12.75 7.4375 12.75Z' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M11.1941 11.1941L14.875 14.875' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
	background-repeat: no-repeat;
    background-position: left 15px center;
    background-size: 17px auto;
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    font-weight: 400;
    font-size: 16px;
    letter-spacing: -0.3px;
    border-radius: 42px;
    border: 1px solid var(--Brand-Sand, #E3DDD4);
    padding: 12px 10px 12px 45px;
    width: 100%;
}


@media screen and (max-width: 1024px) {
	
	/* ------------------
	- Header
	-------------------	*/

	header .bottom #hamburger {
		display: block;
	}
	header .bottom .elementor-button {
		border-color: var(--e-global-color-accent) !important;
        padding: 8px 17px !important;
	}
	header .bottom .elementor-button .elementor-button-icon {
		display: block;
	}
	header .bottom .elementor-button .elementor-button-text {
		display: none;
	}
	header .bottom .elementor-button:before {
	    width: 100%;
	}
	
	
	.menu-image {
		display: none !important;
	}
	
	
	/* ------------------
	- Autoflow
	-------------------	*/
	
	body:not(.elementor-editor-active) .autoflow-swiper-tablet {
		overflow: hidden;
	}
	body:not(.elementor-editor-active) .autoflow-swiper-tablet .slick-list,
	body:not(.elementor-editor-active) .autoflow-swiper-tablet .swiper {
		overflow: visible;
	}	

	.jet-radio-list-wrapper fieldset,
	.jet-checkboxes-list-wrapper {
	    columns: 1;
	}

}


@media screen and (max-width: 767px) {

	/* ------------------
	- Hamburger
	-------------------	*/

	#hamburger .lines span {
		height: 3px;
	}
	
	
	/* ------------------
	- Autoflow
	-------------------	*/

	body:not(.elementor-editor-active) .autoflow-swiper-mobile {
		overflow: hidden;
	}
	body:not(.elementor-editor-active) .autoflow-swiper-mobile .slick-list,
	body:not(.elementor-editor-active) .autoflow-swiper-mobile .swiper {
		overflow: visible;
	}
	
	
	/* ------------------
	- Line Mask
	-------------------	*/
	
	.line-mask:not(.double):before {
		display: none;
	}
	.line-mask:not(.double):after {
		width: 100%;
	}
	

	.news-latest-news .jet-listing-grid__item:first-child .image-column {
		width: 100%;
	}
	.news-latest-news .jet-listing-grid__item:first-child .image-column .elementor-widget-container {
		height: auto;
	}
	.news-latest-news .jet-listing-grid__item:first-child .content-column {
		width: 100%;
	}

}

@media screen and (max-width: 768px) {

	.membership-card {
	    padding: 20px 20px;
	    flex-direction: column;
	    justify-content: start;
	    align-items: start;
	    gap: 12px;
	}
	
}